<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_target_kernel_instance_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_target_kernel_instance_t Struct Reference<br/>
<small>
[<a class="el" href="group__group__tivx__target__kernel__instance.html">Target Kernel Instance APIs</a>]</small>
</h1><!-- doxytag: class="tivx_target_kernel_instance_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Holds information about a target kernel instance. </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__group__tivx__target__kernel.html#ga0db4696f0a19630d7f741ab5650be01a">tivx_target_kernel</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__target__kernel__instance__t.html#a372e2682399ab9a00c2324e190bff203">kernel</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__target__kernel__instance__t.html#a6cf41af6cec75a8cad77ae12e8c15084">kernel_id</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__target__kernel__instance__t.html#a5c6d1ed9b496233a3417715246f6a86c">index</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__target__kernel__instance__t.html#aff9619544cb3171f7e15022d1dfc5d15">kernel_context</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__target__kernel__instance__t.html#a5902c63a3b4c6f8f139a596f9b6f799f">kernel_context_size</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structvx__border__t.html">vx_border_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__target__kernel__instance__t.html#a909ef9ea964fa2f05052f8a06fdda914">border_mode</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">border mode  <a href="#a909ef9ea964fa2f05052f8a06fdda914"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a372e2682399ab9a00c2324e190bff203"></a><!-- doxytag: member="tivx_target_kernel_instance_t::kernel" ref="a372e2682399ab9a00c2324e190bff203" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__group__tivx__target__kernel.html#ga0db4696f0a19630d7f741ab5650be01a">tivx_target_kernel</a> <a class="el" href="structtivx__target__kernel__instance__t.html#a372e2682399ab9a00c2324e190bff203">tivx_target_kernel_instance_t::kernel</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>target kernel associated with this instance </p>

</div>
</div>
<a class="anchor" id="a6cf41af6cec75a8cad77ae12e8c15084"></a><!-- doxytag: member="tivx_target_kernel_instance_t::kernel_id" ref="a6cf41af6cec75a8cad77ae12e8c15084" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> <a class="el" href="structtivx__target__kernel__instance__t.html#a6cf41af6cec75a8cad77ae12e8c15084">tivx_target_kernel_instance_t::kernel_id</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>kernel ID </p>

</div>
</div>
<a class="anchor" id="a5c6d1ed9b496233a3417715246f6a86c"></a><!-- doxytag: member="tivx_target_kernel_instance_t::index" ref="a5c6d1ed9b496233a3417715246f6a86c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__target__kernel__instance__t.html#a5c6d1ed9b496233a3417715246f6a86c">tivx_target_kernel_instance_t::index</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>index in target kernel instance </p>

</div>
</div>
<a class="anchor" id="aff9619544cb3171f7e15022d1dfc5d15"></a><!-- doxytag: member="tivx_target_kernel_instance_t::kernel_context" ref="aff9619544cb3171f7e15022d1dfc5d15" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="structtivx__target__kernel__instance__t.html#aff9619544cb3171f7e15022d1dfc5d15">tivx_target_kernel_instance_t::kernel_context</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a5902c63a3b4c6f8f139a596f9b6f799f"></a><!-- doxytag: member="tivx_target_kernel_instance_t::kernel_context_size" ref="a5902c63a3b4c6f8f139a596f9b6f799f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__target__kernel__instance__t.html#a5902c63a3b4c6f8f139a596f9b6f799f">tivx_target_kernel_instance_t::kernel_context_size</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a909ef9ea964fa2f05052f8a06fdda914"></a><!-- doxytag: member="tivx_target_kernel_instance_t::border_mode" ref="a909ef9ea964fa2f05052f8a06fdda914" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structvx__border__t.html">vx_border_t</a> <a class="el" href="structtivx__target__kernel__instance__t.html#a909ef9ea964fa2f05052f8a06fdda914">tivx_target_kernel_instance_t::border_mode</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>border mode </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
